#
# spec file for package gtk2hs-buildtools
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gtk2hs-buildtools
Version:        0.13.0.5
Release:        1.5
Summary:        Tools to build the Gtk2Hs suite of User Interface libraries
License:        GPL-2.0+
Group:          System/Libraries
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
# Begin cabal-rpm deps:
BuildRequires:  alex
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hashtables-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  happy
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# End cabal-rpm deps

%description
This package provides a set of helper programs necessary to build the Gtk2Hs
suite of libraries. These tools include a modified c2hs binding tool that is
used to generate FFI declarations, a tool to build a type hierarchy that
mirrors the C type hierarchy of GObjects found in glib, and a generator for
signal declarations that are used to call back from C to Haskell.
These tools are not needed to actually run Gtk2Hs programs.

%prep
%setup -q


%build
%ghc_bin_build


%install
%ghc_bin_install


%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/gtk2hsC2hs
%{_bindir}/gtk2hsHookGenerator
%{_bindir}/gtk2hsTypeGen
%dir %{_datadir}/%{name}-%{version}
%dir %{_datadir}/%{name}-%{version}/callbackGen
%dir %{_datadir}/%{name}-%{version}/hierarchyGen
%{_datadir}/%{name}-%{version}/callbackGen/Signal.chs.template
%{_datadir}/%{name}-%{version}/hierarchyGen/hierarchy.list
%{_datadir}/%{name}-%{version}/hierarchyGen/Hierarchy.chs.template

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.13.0.5 revision 0 with cabal2obs.
* Sun Nov 29 2015 mimi.vx@gmail.com
- update to 0.13.0.5
* Fri Sep  4 2015 mimi.vx@gmail.com
- initial commit
